/**
 * Задание 1.
 *
 * Написать функцию-сумматор.
 * Функция обладает двумя числовыми параметрами, и возвращает результат их сложения.
 */


// function summ(a, b){
//     return(a + b);
// }
//
// console.log(summ(2, 3))


// /**
//  * Задание 2.
//  *
//  * Написать функцию, которая определяет количество переданных аргументов, и возвращает их количество.
//  */
//
// function arg(a, b){
//     return arguments.length
// }
//
// console.log(arg("Bob", "Alice", "John" ));


/**
 * Задание 3.
 *
 * Написать функцию-счётчик count.
 *
 * Функция будет обладать  двумя параметрами:
 * - Первый — число, с которого необходимо начать счёт;
 * - Второй — число, которым необходимо закончить счёт.
 *
 * Если число, с которого начинается счёт больше, чем число,
 * которым он заканчивается, вывести сообщение:
 * «⛔️ Ошибка! Счёт невозможен.»
 *
 * Если оба этих числа одинаковые, вывести сообщение:
 * «⛔️ Ошибка! Нечего считать.»
 *
 * В начале счёта необходимо вывести сообщение:
 * «🏁 Отсчёт начат.».
 *
 * Каждый «шаг» счёта необходимо выводить в консоль.
 * После прохождения последнего «шага» необходимо вывести сообщение:
 * «✅ Отсчёт завершен.».
 *
 */

// function count(start, end){
//     if(start > end){
//         console.log('«⛔ Ошибка! Счёт невозможен.»')
//     }else if (start === end){
//         console.log('«⛔️ Ошибка! Нечего считать.»')
//     }else{
//         console.log('«🏁 Отсчёт начат.»')
//         for (let i = start; i<=end; i++ ){
//             console.log(i);
//         }
//         console.log('«✅ Отсчёт завершен.»')
//     }
//
// }count(5, 9)


/**
 * Задание 4.
 *
 * Написать улучшенную функцию-счётчик countAdvanced.
 *
 * Функцию-счётчик из предыдущего задания расширить дополнительным функционалом:
 * - Добавить ей третий параметр, и выводить в консоль только числа, кратные значению из этого параметра;
 * - Генерировать ошибку (throw new Error), если функция была вызвана не с тремя аргументами;
 * - Генерировать ошибку, если любой из аргументов не является допустимым числом.
 */


// function countAdvanced(start, end, div) {
//     if (arguments.length !==3){
//         throw new Error('передайте 3 аргумента');
//     }
//     if (isNaN(start)
//         || isNaN(end)
//         || isNaN(div)
//         || typeof start !== 'number'
//         || typeof end !== 'number'
//         || typeof div !== 'number')
//     {
//         throw new Error('Один из аргументов не является допустимым числом');
//     }
//     if (start > end) {
//         console.log('«⛔ Ошибка! Счёт невозможен.»');
//     } else if (start === end) {
//         console.log('«⛔️ Ошибка! Нечего считать.»');
//     } else {
//         console.log('«🏁 Отсчёт начат.»');
//         for (let i = start; i <= end; i++) {
//             if (i % div === 0){
//                 console.log(i);
//             }
//         }
//         console.log('«✅ Отсчёт завершен.»');
//     }
// }
//
// countAdvanced(5, 20, 3)


let student = {
    name : "Сергей",
    lastname : "Мирошниченко",
    laziness : 4,
    trick : 5
}

student.name = "Валера"
console.log(student)